summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD62
2 files changed, 79 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..5e6c34e3b8b
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = python2-mnemonic-git
+ pkgdesc = Python 2 library for Mnemonic code for generating deterministic keys (Implementation of Bitcoin BIP-0039)
+ pkgver = 0.12.r116.648f972
+ pkgrel = 2
+ url = https://github.com/trezor/python-mnemonic
+ arch = any
+ license = GPL
+ makedepends = git
+ depends = python2
+ depends = python2-pbkdf2
+ provides = python2-mnemonic
+ conflicts = python2-mnemonic
+ source = git+https://github.com/trezor/python-mnemonic.git
+ sha256sums = SKIP
+
+pkgname = python2-mnemonic-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..de461dd6d1d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,62 @@
+# Maintainer: jyantis <yantis@yantis.net>
+
+pkgname=python2-mnemonic-git
+pkgver=0.12.r116.648f972
+_gitname=python-mnemonic
+pkgrel=2
+pkgdesc="Python 2 library for Mnemonic code for generating deterministic keys (Implementation of Bitcoin BIP-0039)"
+arch=('any')
+url='https://github.com/trezor/python-mnemonic'
+license=('GPL')
+depends=('python2'
+ 'python2-pbkdf2')
+source=('git+https://github.com/trezor/python-mnemonic.git')
+sha256sums=('SKIP')
+makedepends=('git')
+provides=('python2-mnemonic')
+conflicts=('python2-mnemonic')
+
+pkgver() {
+ cd ${_gitname}
+ set -o pipefail
+
+ _gitversion=$( git describe --long | sed -r 's/([^-]*-g)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)" )
+
+ # If there is a setup.py then pull the version tag from the file
+ if [ -f "setup.py" ]; then
+ if grep --quiet "version = " setup.py; then
+ printf "%s.%s" "$(grep -R "version = " setup.py | awk -F\' '{print $2}')" $_gitversion | sed 's/-/./g'
+ elif grep --quiet "version=" setup.py; then
+ printf "%s.%s" "$(grep -R "version=" setup.py | awk -F\' '{print $2}')" $_gitversion | sed 's/-/./g'
+ else
+ printf "%s" $_gitversion
+ fi
+ else
+ printf "%s" $_gitversion
+ fi
+}
+
+check() {
+ cd ${_gitname}
+ python2 setup.py test --verbose
+}
+
+build() {
+ cd ${_gitname}
+
+ # patch any #!/usr/bin/python to #!/usr/bin/python2
+ for file in $(find . -name '*.py' -print); do
+ sed -r -i 's_^#!.*/usr/bin/python(\s|$)_#!/usr/bin/python2_' $file
+ sed -r -i 's_^#!.*/usr/bin/env(\s)*python(\s|$)_#!/usr/bin/env python2_' $file
+ done
+
+ python2 setup.py build
+}
+
+package() {
+ cd ${_gitname}
+ python2 setup.py install --root="${pkgdir}" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et: